GET

https://send.now/api/file/qr_link?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz

Parameters Description Example Format Required
key API-Key 1ltghrilhllgrx2b2 String yes
file_code File code of one of your files eb58d02u8znz String yes

cURL example


curl --include \
'https://send.now/api/file/qr_link?key=1ltghrilhllgrx2b2&file_code=eb58d02u8znz'
          

Response


{
  "msg": "OK",
  "result": {
    "file_code": "eb58d02u8znz",
    "qr_link": "https://send.now/qr/4D"
  },
  "status": 200,
  "server_time": "2024-08-26 12:19:28"
}
          

Notice

The link returns a PNG image: the QR code of the download link of the file.
Only your own files: 404 for any other file.

Status code

200 Everything is OK. Request succeeded
400 Bad request (e.g. wrong parameters)
403 Permission denied
404 File not found
451 Unavailable